#define STRICT

#include <windows.h>
#include <windowsx.h>
#include <string.h>
#include <stdio.h>
#pragma hdrstop
#include <commdlg.h>


char *GetOpenName(HWND hwnd, char *szFile, int StrSize,
									char *szFilterTitle, char *szFilterStr)
{
	OPENFILENAME ofn;
	char szDirName[256];
	char szFileTitle[256];
	char szFilter[256];

	memset(&ofn, 0, sizeof(ofn));
	memset(szFilter, 0, sizeof(szFilter));

	strcpy(szFilter, szFilterTitle);
	strcpy(&szFilter[strlen(szFilter) + 1], szFilterStr);

	ofn.lStructSize = sizeof(ofn);
	ofn.hwndOwner = hwnd;
	ofn.lpstrFilter = szFilter;
	ofn.nFilterIndex = 1;
	ofn.lpstrFile = szFile;
	ofn.nMaxFile = StrSize;
	ofn.lpstrFileTitle = szFileTitle;
	ofn.nMaxFileTitle = sizeof(szFileTitle);
	ofn.lpstrInitialDir = szDirName;
	ofn.Flags = OFN_FILEMUSTEXIST;

	if(!GetOpenFileName(&ofn)) {
		UINT error = CommDlgExtendedError();
		return(NULL);
	}

	return(szFile);
}

char *GetSaveName(HWND hwnd, char *szFile, int StrSize,
									char *szFilterTitle, char *szFilterStr)
{
	OPENFILENAME ofn;
	char szDirName[256];
	char szFileTitle[256];
	char szFilter[256];

	memset(&ofn, 0, sizeof(ofn));
	memset(szFilter, 0, sizeof(szFilter));

	strcpy(szFilter, szFilterTitle);
	strcpy(&szFilter[strlen(szFilter) + 1], szFilterStr);

	ofn.lStructSize = sizeof(ofn);
	ofn.hwndOwner = hwnd;
	ofn.lpstrFilter = szFilter;
	ofn.nFilterIndex = 1;
	ofn.lpstrFile = szFile;
	ofn.nMaxFile = StrSize;
	ofn.lpstrFileTitle = szFileTitle;
	ofn.nMaxFileTitle = sizeof(szFileTitle);
	ofn.lpstrInitialDir = szDirName;
//	ofn.Flags = OFN_FILEMUSTEXIST;

	if(!GetSaveFileName(&ofn)) {
		UINT error = CommDlgExtendedError();
		return(NULL);
	}

	return(szFile);
}
